package flux;

import flux.dev.AdapterFactory;
import fluximpl.FlowChartImpl;
import fluximpl.HttpFileTransferActionImpl;

/**
 * Factory for creating HttpFileTransferAction.
 *
 * @author arul@flux.ly
 */
public class HttpFileTransferActionFactory implements AdapterFactory {

  private FlowChartImpl flowChart;

  public void init(FlowChartImpl flowChart) {
    this.flowChart = flowChart;
  } // init

  public HttpFileTransferAction makeHttpFileTransferAction(String name) {
    return new HttpFileTransferActionImpl(flowChart, name);
  } // makeHttpFileTransferAction()

} // class HttpFileTransferActionFactory
