package flux;

import flux.dev.AdapterFactory;
import fluximpl.FlowChartImpl;
import fluximpl.MercurialTriggerImpl;

/**
 * Factory for creating MercurialTrigger.
 *
 * @author arul@flux.ly
 */
public class MercurialTriggerFactory implements AdapterFactory {

  private FlowChartImpl flowChart;

  public void init(FlowChartImpl flowChart) {
    this.flowChart = flowChart;
  } // init

  public MercurialTrigger makeMercurialTrigger(String name) {
    return new MercurialTriggerImpl(flowChart, name);
  } // makeMercurialTrigger()
} // class MercurialTriggerFactory
