package flux;

import flux.dev.AdapterFactory;
import fluximpl.RabbitMQActionImpl;
import fluximpl.FlowChartImpl;

/**
 * Factory for creating RabbitMQAction.
 *
 * @author arul@flux.ly
 */
public class RabbitMQActionFactory implements AdapterFactory {

  private FlowChartImpl flowChart;

  public void init(FlowChartImpl flowChart) {
    this.flowChart = flowChart;
  } // init

  public RabbitMQAction makeRabbitMQAction(String name) {
    return new RabbitMQActionImpl(flowChart, name);
  } // makeRabbitMQAction()
} // class RabbitMQActionFactory