package flux;

import flux.dev.AdapterFactory;
import fluximpl.FlowChartImpl;
import fluximpl.SCPActionImpl;

/**
 * Factory for creating SCPAction.
 *
 * @author arul@flux.ly
 */
public class SCPActionFactory implements AdapterFactory {

  private FlowChartImpl flowChart;

  public void init(FlowChartImpl flowChart) {
    this.flowChart = flowChart;
  } // init

  public SCPAction makeSCPAction(String name) {
    return new SCPActionImpl(flowChart, name);
  } // makeSCPAction()
} // class SCPActionFactory