package flux;

import flux.dev.AdapterFactory;
import fluximpl.FlowChartImpl;
import fluximpl.TwitterActionImpl;

/**
 * Factory for creating TwitterAction.
 *
 * @author arul@flux.ly
 */
public class TwitterActionFactory implements AdapterFactory {

  private FlowChartImpl flowChart;

  public void init(FlowChartImpl flowChart) {
    this.flowChart = flowChart;
  } // init

  public TwitterAction makeTwitterAction(String name) {
    return new TwitterActionImpl(flowChart, name);
  } // makeTwitterAction()
} // class TwitterActionFactory