package flux;

import flux.dev.AdapterFactory;
import fluximpl.FlowChartImpl;
import fluximpl.UntarFileActionImpl;

/**
 * Factory for creating UntarFileAction.
 *
 * @author arul@flux.ly
 */
public class UntarFileActionFactory implements AdapterFactory {
  private FlowChartImpl flowChart;

  public void init(FlowChartImpl flowChart) {
    this.flowChart = flowChart;
  }

  public UntarFileAction makeUntarFileAction(String name) {
    return new UntarFileActionImpl(flowChart, name);
  }
}
