package fluximpl;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * UntarFileAction variable.
 *
 * @author arul@flux.ly
 */
public class UntarFileActionVariable implements Serializable {
  private String destination;
  private String source;
  private boolean overwrite = true;
  private List<String> includePatterns = new ArrayList<String>();
  private List<String> excludePatterns = new ArrayList<String>();

  public UntarFileActionVariable() {
  }

  public String getDestination() {
    return destination;
  }

  public void setDestination(String destination) {
    this.destination = destination;
  }

  public String getSource() {
    return source;
  }

  public void setSource(String source) {
    this.source = source;
  }

  public List<String> getIncludePatterns() {
    return includePatterns;
  }

  public void setIncludePatterns(List<String> includePatterns) {
    this.includePatterns = includePatterns;
  }

  public List<String> getExcludePatterns() {
    return excludePatterns;
  }

  public void setExcludePatterns(List<String> excludePatterns) {
    this.excludePatterns = excludePatterns;
  }

  public boolean isOverwrite() {
    return overwrite;
  }

  public void setOverwrite(boolean overwrite) {
    this.overwrite = overwrite;
  }
}