package flux;

import flux.dev.AdapterFactory;
import fluximpl.FlowChartImpl;
import fluximpl.GitTriggerImpl;

/**
 * Factory for creating GitTrigger.
 *
 * @author arul@flux.ly
 */
public class GitTriggerFactory implements AdapterFactory {

  private FlowChartImpl flowChart;

  public void init(FlowChartImpl flowChart) {
    this.flowChart = flowChart;
  } // init

  public GitTrigger makeGitTrigger(String name) {
    return new GitTriggerImpl(flowChart, name);
  } // makeGitTrigger()
} // class GitTriggerFactory

