package flux;

import flux.dev.AdapterFactory;
import fluximpl.FlowChartImpl;
import fluximpl.JmsTriggerImpl;

/**
 * Factory for creating JMS Trigger.
 *
 * @author arul@flux.ly
 */
public class JmsTriggerFactory implements AdapterFactory {

    private FlowChartImpl flowChart;

    public void init(FlowChartImpl flowChart) {
        this.flowChart = flowChart;
    }

    public JmsTrigger makeJmsTrigger(String name) {
        return new JmsTriggerImpl(flowChart, name);
    }

}