package flux;

/**
 * Unzips a specified zip archive file.
 *
 * @author wade@flux.ly
 */
public interface UnzipFileAction extends Action {

  /**
   * Sets the destination path where the files are extracted to.
   *
   * @param path The destination path where the files are extracted to.
   */
  public void setDestination(String path);

  /**
   * Sets the name of the zip file.
   *
   * @param filename The name of the zip file.
   */
  public void setZipFile(String filename);
}
