package flux;

import flux.dev.AdapterFactory;
import fluximpl.FlowChartImpl;
import fluximpl.UnzipFileActionImpl;

/**
 * Factory for creating UnzipFileAction.
 *
 * @author wade@flux.ly
 */
public class UnzipFileActionFactory implements AdapterFactory {
  private FlowChartImpl flowChart;

  public void init(FlowChartImpl flowChart) {
    this.flowChart = flowChart;
  }

  public UnzipFileAction makeUnzipFileAction(String name) {
    return new UnzipFileActionImpl(flowChart, name);
  }
}
