package flux;

import flux.dev.AdapterFactory;
import fluximpl.FlowChartImpl;
import fluximpl.WebServiceTriggerImpl;

/**
 * Factory for creating WebServiceTrigger.
 *
 * @author arul@flux.ly
 */
public class WebServiceTriggerFactory implements AdapterFactory {

  private FlowChartImpl flowChart;

  public void init(FlowChartImpl flowChart) {
    this.flowChart = flowChart;
  } // init

  public WebServiceTrigger makeWebServiceTrigger(String name) {
    return new WebServiceTriggerImpl(flowChart, name);
  } // makeWebServiceTrigger()
} // class WebServiceTriggerFactory
