package fluximpl;

import javax.xml.bind.annotation.*;
import java.util.ArrayList;
import java.util.List;

@XmlRootElement(namespace = "http://flux.ly", name = "StringMap")
@XmlType(name = "StringMap")
@XmlAccessorType(XmlAccessType.FIELD)
public class StringMap {

  @XmlElement(nillable = false, name = "variable")
  List<StringEntry> variables = new ArrayList<StringEntry>();

  public List<StringEntry> getVariables() {
    return variables;
  }

  @XmlAccessorType(XmlAccessType.FIELD)
  @XmlType(name = "MapValue")
  static class StringEntry {
    // Map keys cannot be null
    @XmlElement(required = true, nillable = false)
    String key;
    String value;

    public String getKey() {
      return key;
    }

    public void setKey(String key) {
      this.key = key;
    }

    public String getValue() {
      return value;
    }

    public void setValue(String value) {
      this.value = value;
    }
  }
}
